=== debian/changelog ===
purple-discord (0.9.2017.12.27.git.9b7c3ad-1) unstable; urgency=medium

  * Initial release (Closes: #886707)

 -- Paul Wise <pabs@debian.org>  Tue, 09 Jan 2018 13:54:15 +0800
