=== debian/control ===
Source: purple-discord
Section: net
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 10),
 libglib2.0-dev,
 libjson-glib-dev,
 libpurple-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/EionRobb/purple-discord/

Package: purple-discord
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 harmony,
Enhances:
 finch,
 pidgin,
Description: Discord messaging service plugin for libpurple
 A plugin for libpurple that adds the option to use the Discord messaging
 service in all libpurple-based clients (including Pidgin and Finch).
 .
 This plugin does not support creating and managing Discord accounts,
 please use the harmony package for those tasks.
