=== debian/changelog ===
purple-discord (0.9.2018.06.01.git.38b295b-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Mon, 04 Jun 2018 11:22:19 +0800

purple-discord (0.9.2018.05.15.git.8776962-1) unstable; urgency=medium

  * New upstream snapshot
    - Drop patch, applied upstream
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 15 May 2018 13:01:51 +0800

purple-discord (0.9.2018.04.01.git.dd1ea7a-1) unstable; urgency=medium

  * New upstream snapshot
  * Correct bogus suggests on harmony to python3-harmony
  * Bump debhelper compat to current version
  * Add patch that adds CPPFLAGS to the gcc command-line

 -- Paul Wise <pabs@debian.org>  Wed, 04 Apr 2018 15:41:09 +0800
