=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  libglib2.0-dev,
  libjson-glib-dev,
  libpurple-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/EionRobb/purple-discord/
 
 Package: purple-discord
@@ -16,7 +16,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
- harmony,
+ python3-harmony,
 Enhances:
  finch,
  pidgin,
