## purple-discord 0.9.2019.02.07.git.e5d9627

=== debian/changelog ===
purple-discord (0.9.2019.02.07.git.e5d9627-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sat, 09 Feb 2019 10:54:10 +0800

purple-discord (0.9.2019.01.17.git.f84f38e-1) unstable; urgency=medium

  * New upstream snapshot
  * Depend on tools for building the new logo

 -- Paul Wise <pabs@debian.org>  Fri, 18 Jan 2019 06:56:58 +0800

purple-discord (0.9.2019.01.15.git.bc6eee3-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Thu, 17 Jan 2019 09:48:10 +0800

purple-discord (0.9.2018.12.10.git.14bc817-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Mon, 10 Dec 2018 15:46:34 +0800

purple-discord (0.9.2018.12.02.git.9f0a6ff-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Thu, 06 Dec 2018 12:56:04 +0800

purple-discord (0.9.2018.10.30.git.c5b45c3-1) unstable; urgency=medium

  * New upstream snapshot
    - Uses zlib for stream compression, add build-dep
  * Switch from debian/compat to build-dep on debhelper-compat
  * Update Standards-Version, no changes needed
  * Add Rules-Requires-Root no, binaries are identical

 -- Paul Wise <pabs@debian.org>  Sat, 03 Nov 2018 16:38:56 +0800
