=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
+ imagemagick,
  libglib2.0-dev,
  libjson-glib-dev,
  libpurple-dev,
-Standards-Version: 4.1.4
+ librsvg2-bin,
+ libz-dev,
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
 
 Package: purple-discord
