## purple-discord 0.9.2019.06.12.git.f8ea0ae

=== debian/changelog ===
purple-discord (0.9.2019.06.12.git.f8ea0ae-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed
  * Bump debhelper-compat, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 09 Jul 2019 13:47:05 +0800
