## purple-discord 0.9.2019.07.29.git.763ba75

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 CFLAGS	?= -O2 -g -pipe -Wall
 LDFLAGS ?= -Wl,-z,relro
 
-CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"'
+CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN
 
 # Comment out to disable localisation
 CFLAGS += -DENABLE_NLS
@@ -90,7 +90,7 @@
 
 CFLAGS += -DLOCALEDIR=\"$(LOCALEDIR)\"
 
-C_FILES :=
+C_FILES := markdown.c
 PURPLE_COMPAT_FILES :=
 PURPLE_C_FILES := libdiscord.c $(C_FILES)
 
@@ -129,6 +129,15 @@
 	mkdir -m $(DIR_PERM) -p $(DISCORD_DEST)
 	install -m $(LIB_PERM) -p $(DISCORD_TARGET) $(DISCORD_DEST)
 
+discord16.png: discord-alt-logo.svg
+	convert -strip -background none discord-alt-logo.svg -resize 16x16 discord16.png
+
+discord22.png: discord-alt-logo.svg
+	convert -strip -background none discord-alt-logo.svg -resize 22x22 discord22.png
+
+discord48.png: discord-alt-logo.svg
+	convert -strip -background none discord-alt-logo.svg -resize 48x48 discord48.png
+
 install-icons: discord16.png discord22.png discord48.png
 	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/16
 	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/22
@@ -144,6 +153,7 @@
 
 clean:
 	rm -f $(DISCORD_TARGET)
+	rm -f discord*.png
 
 gdb:
 	gdb --args pidgin -c ~/.fake_purple -n -m
