=== debian/changelog ===
purple-discord (0.9.2019.07.29.git.763ba75-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Fri, 02 Aug 2019 13:57:30 +0800
