## purple-discord 0.9.2019.11.04.git.6552cde

=== debian/changelog ===
purple-discord (0.9.2019.11.04.git.6552cde-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Fri, 08 Nov 2019 10:03:39 +0800

purple-discord (0.9.2019.10.05.git.862f925-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Mon, 07 Oct 2019 14:30:00 +0800

purple-discord (0.9.2019.08.26.git.df0d11a-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Fri, 30 Aug 2019 09:30:58 +0800
