=== debian/changelog ===
purple-discord (0.9.2020.04.05.git.db7dc79-1) unstable; urgency=high

  * New upstream snapshot
    - Adds workaround for crashes in ssl_nss_read (Closes: #955635)

 -- Paul Wise <pabs@debian.org>  Sun, 05 Apr 2020 08:09:21 +0800

purple-discord (0.9.2020.03.10.git.4e71974-1) unstable; urgency=high

  * New upstream snapshot
    - Fixes issues with channel user lists and null names

 -- Paul Wise <pabs@debian.org>  Thu, 12 Mar 2020 11:19:53 +0800

purple-discord (0.9.2020.02.14.git.d47f0bc-1) unstable; urgency=medium

  [ Paul Wise ]
  * New upstream snapshot
  * Bump Standards-Version, no changes needed

  [ lintian-brush ]
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Paul Wise <pabs@debian.org>  Sat, 29 Feb 2020 14:05:33 +0800
