=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpurple-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
