=== debian/watch ===
# Upstream does not have git tags, this is a workaround
# This still has bugs when there are multiple commits per day
# because uscan doesn't have a way to sort upstream versions by time
version=4
opts="pagemangle=s{(?s)(<relative-time datetime=(.)(\d{4})-(\d{2})-(\d{2}).*?<a href=[^ ]* class=.sha btn btn-outline BtnGroup-item.>\s*(\S+)\s*</a>)}{<a href=$2/uscan/0.9.$3.$4.$5.git.$6$2>0.9.$3.$4.$5.git.$6</a>$1}g,\
downloadurlmangle=s{.*\.git\.([a-f0-9]+)}{https://github.com/EionRobb/purple-discord/archive/$1.tar.gz},\
filenamemangle=s{^/uscan/(.*)}{purple-discord-$1.tar.gz}" \
https://github.com/EionRobb/purple-discord/commits \
/uscan/(0\.9\.\d{4}\.\d{2}\.\d{2}\.git\.[a-f0-9]+)
