## purple-discord 0.9.2020.07.17.git.8fd7ceb

=== debian/changelog ===
purple-discord (0.9.2020.07.17.git.8fd7ceb-1) unstable; urgency=medium

  * New upstream snapshot
  * Fix watch file to cope with github HTML layout changes

 -- Paul Wise <pabs@debian.org>  Tue, 28 Jul 2020 10:57:23 +0800
