## purple-discord 0.9.2020.10.14.git.8216905

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,6 @@
 endif
 
 CFLAGS	?= -O2 -g -pipe -Wall
-LDFLAGS ?= -Wl,-z,relro
 
 CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN
 
@@ -61,6 +60,7 @@
     CC = gcc
   else
     CC ?= gcc
+    LDFLAGS ?= -Wl,-z,relro
   endif
 
   ifeq ($(shell $(PKG_CONFIG) --exists purple-3 2>/dev/null && echo "true"),)
@@ -81,7 +81,7 @@
     DISCORD_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple-3`
     DISCORD_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/protocols
     LOCALEDIR = $(shell $(PKG_CONFIG) --variable=datadir purple-3)/locale
-	LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
+    LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
   endif
 endif
