=== debian/changelog ===
purple-discord (0.9.2020.10.14.git.8216905-1) unstable; urgency=medium

  * New upstream snapshot
  * Switch watch file to mode=git as HTML layout changes too much
  * Bump debhelper compat level, no changes needed
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Thu, 04 Feb 2021 12:50:58 +0800
