=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  imagemagick,
  libglib2.0-dev,
  libjson-glib-dev,
  libpurple-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
