=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PLUGIN_VERSION = $(DEB_VERSION)

%:
	dh $@
