=== debian/watch ===
version=4
opts="mode=git,pretty=0.9.%cd.git.%h,date=%Y.%m.%d" \
https://github.com/EionRobb/purple-discord.git \
HEAD
