=== debian/changelog ===
purple-discord (0.9.2022.02.17.git.df61f37-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 20 Feb 2022 18:32:02 +0800

purple-discord (0.9.2022.02.07.git.de9e686-1) unstable; urgency=medium

  * New upstream snapshot
    - Adds QR code login
  * Add build deps for QR feature
  * Update copyright years for QR feature

 -- Paul Wise <pabs@debian.org>  Tue, 08 Feb 2022 13:36:07 +0800

purple-discord (0.9.2022.01.10.git.d8af468-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 23 Jan 2022 14:52:28 +0800

purple-discord (0.9.2021.11.24.git.de899b3-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Debian copyright year

 -- Paul Wise <pabs@debian.org>  Mon, 06 Dec 2021 07:15:43 +0800

purple-discord (0.9.2021.11.13.git.2a91060-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 14 Nov 2021 09:03:18 +0800

purple-discord (0.9.2021.09.24.git.ab7b944-1) unstable; urgency=medium

  * New upstream snapshot
    - Fixes compatibility with libpurple 2.14.7

 -- Paul Wise <pabs@debian.org>  Sun, 26 Sep 2021 12:47:36 +0800

purple-discord (0.9.2021.07.29.git.6c5a778-1) unstable; urgency=medium

  * Upload to unstable now that the freeze has ended
  * New upstream snapshot
    - Simplify/remove workarounds for build issues merged upstream
  * Declare compliance with Debian Policy 4.6.0, no changes needed

 -- Paul Wise <pabs@debian.org>  Wed, 01 Sep 2021 13:32:55 +0800

purple-discord (0.9.2021.07.12.git.a065169-1) experimental; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Thu, 29 Jul 2021 12:42:12 +0800

purple-discord (0.9.2021.05.31.git.fbbe0f9-1) experimental; urgency=medium

  * New upstream snapshot
    - Fixes crashes on reconnect command

 -- Paul Wise <pabs@debian.org>  Tue, 01 Jun 2021 08:02:51 +0800

purple-discord (0.9.2021.05.20.git.414b63b-1) experimental; urgency=medium

  * Upload to experimental due to the bullseye freeze
  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 23 May 2021 09:12:16 +0800
