=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
  imagemagick,
  libglib2.0-dev,
  libjson-glib-dev,
+ libnss3-dev,
  libpurple-dev,
+ libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
