## purple-discord 0.9.2022.05.14.git.5502309

=== debian/changelog ===
purple-discord (0.9.2022.05.14.git.5502309-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.6.1, no changes needed

 -- Paul Wise <pabs@debian.org>  Sun, 07 Aug 2022 16:34:13 +0800

purple-discord (0.9.2022.03.29.git.698907f-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Mon, 04 Apr 2022 14:17:37 +0800
