=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
