## purple-discord 0.9.2022.10.03.git.df93a22

=== debian/changelog ===
purple-discord (0.9.2022.10.03.git.df93a22-1) unstable; urgency=medium

  * New upstream snapshot
  * Add Multi-Arch: same as requested by the hinter

 -- Paul Wise <pabs@debian.org>  Sun, 13 Nov 2022 12:33:39 +0800
