=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 Package: purple-discord
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
