## purple-discord 0.9.2023.02.15.git.4a09188

=== debian/changelog ===
purple-discord (0.9.2023.02.15.git.4a09188-2) unstable; urgency=medium

  * Update the package maintainer to the one for orphaned packages.

 -- Paul Wise <pabs@debian.org>  Wed, 01 Mar 2023 15:51:59 +0800

purple-discord (0.9.2023.02.15.git.4a09188-1) unstable; urgency=medium

  * New upstream snapshot
  * Orphan package (See: #1032178)
  * Declare compliance with Debian Policy 4.6.2, no changes needed

 -- Paul Wise <pabs@debian.org>  Wed, 01 Mar 2023 15:24:01 +0800
