=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: purple-discord
 Section: net
 Priority: optional
-Maintainer: Paul Wise <pabs@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  imagemagick,
@@ -12,7 +12,7 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
