=== debian/changelog ===
purple-discord (0.9.2023.10.23.git.f8b0c59-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Patrick Zajda <patrick@zajda.fr>  Tue, 28 Nov 2023 07:09:38 +0100

purple-discord (0.9.2023.10.23.git.f8b0c59-1) unstable; urgency=medium

  * New upstream snapshot
  * New maintainer (Closes: #1032178)

 -- Patrick Zajda <patrick@zajda.fr>  Mon, 20 Nov 2023 16:36:19 +0100
