=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: purple-discord
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Patrick Zajda <patrick@zajda.fr>
 Build-Depends:
  debhelper-compat (= 13),
  imagemagick,
