=== debian/changelog ===
purple-discord (0.9.2024.09.29.git.32899c2-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.7.0, no changes needed
  * d/copyright: update purple2compat copyright

 -- Patrick Zajda <patrick@zajda.fr>  Sun, 29 Sep 2024 14:12:30 +0200
