=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
+Vcs-Git: https://salsa.debian.org/debian/purple-discord.git
+Vcs-Browser: https://salsa.debian.org/debian/purple-discord
 
 Package: purple-discord
 Architecture: any
