## purple-discord 0.9.2025.03.09.git.465575d

=== debian/changelog ===
purple-discord (0.9.2025.03.09.git.465575d-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.7.2, no changes needed
  * d/salsa-ci.yml: add CI file, disable Piuparts

 -- Patrick Zajda <patrick@zajda.fr>  Mon, 03 Mar 2025 14:25:05 +0100
