## purple-discord 0.9.2025.06.29.git.c49e7c7

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 WIN32_CC ?= $(WIN32_DEV_TOP)/mingw-4.7.2/bin/gcc
 
-PROTOC_C ?= protoc-c
 PKG_CONFIG ?= pkg-config
 XGETTEXT ?= xgettext
