=== debian/changelog ===
purple-discord (0.9.2025.06.29.git.c49e7c7-1) unstable; urgency=medium

  * New upstream snapshot

 -- Patrick Zajda <patrick@zajda.fr>  Sun, 27 Jul 2025 16:38:06 +0200
