=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
 Vcs-Git: https://salsa.debian.org/debian/purple-discord.git
