=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 %:
 	dh $@
+
+# workaround for https://github.com/EionRobb/purple-discord/issues/341
+override_dh_auto_build:
+	dh_auto_build -- build
